client.audit.authz
client.audit.authz — the audit.authz operations.
On AsyncKindgi every method is the same, awaited.
client.audit.authz.list()
Section titled “client.audit.authz.list()”list( *, limit: int | None = None, cursor: str | None = None, actor_subject: str | None = None, on_behalf_of: str | None = None, action: str | None = None, resource: str | None = None, outcome: Literal['allowed', 'denied'] | None = None, run_id: str | None = None, from_: str | None = None, to: str | None = None, timeout: float | None = None,) -> AuditAuthzListResponseList authz decision audit events. GET /v1/audit/authz
Cursor-paginated read of authz-decision audit events for the tenant. Filters (all AND-composed): ?actorSubject= / ?onBehalfOf= / ?action= / ?resource= / ?outcome= / ?runId= / ?from= / ?to=. Admin@tenant only. Only mounted when CreateAppInput.auditEvents is wired.